org.apache.calcite.avatica.proto

## Interface Requests.ExecuteRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.ExecuteRequest, Requests.ExecuteRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.ExecuteRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getDeprecatedFirstFrameMaxSize()` Deprecated, use the signed int instead.
`int` `getFirstFrameMaxSize()` The maximum number of rows to return in the first Frame
`boolean` `getHasParameterValues()` `bool has_parameter_values = 4;`
`Common.TypedValue` `getParameterValues(int index)` `repeated .TypedValue parameter_values = 2;`
`int` `getParameterValuesCount()` `repeated .TypedValue parameter_values = 2;`
`List<Common.TypedValue>` `getParameterValuesList()` `repeated .TypedValue parameter_values = 2;`
`Common.TypedValueOrBuilder` `getParameterValuesOrBuilder(int index)` `repeated .TypedValue parameter_values = 2;`
`List<? extends Common.TypedValueOrBuilder>` `getParameterValuesOrBuilderList()` `repeated .TypedValue parameter_values = 2;`
`Common.StatementHandle` `getStatementHandle()` `.StatementHandle statementHandle = 1;`
`Common.StatementHandleOrBuilder` `getStatementHandleOrBuilder()` `.StatementHandle statementHandle = 1;`
`boolean` `hasStatementHandle()` `.StatementHandle statementHandle = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasStatementHandle

    boolean hasStatementHandle()

`.StatementHandle statementHandle = 1;`

#### getStatementHandle

    Common.StatementHandle getStatementHandle()

`.StatementHandle statementHandle = 1;`

#### getStatementHandleOrBuilder

    Common.StatementHandleOrBuilder getStatementHandleOrBuilder()

`.StatementHandle statementHandle = 1;`

#### getParameterValuesList

    List<Common.TypedValue> getParameterValuesList()

`repeated .TypedValue parameter_values = 2;`

#### getParameterValues

    Common.TypedValue getParameterValues(int index)

`repeated .TypedValue parameter_values = 2;`

#### getParameterValuesCount

    int getParameterValuesCount()

`repeated .TypedValue parameter_values = 2;`

#### getParameterValuesOrBuilderList

    List<? extends Common.TypedValueOrBuilder> getParameterValuesOrBuilderList()

`repeated .TypedValue parameter_values = 2;`

#### getParameterValuesOrBuilder

    Common.TypedValueOrBuilder getParameterValuesOrBuilder(int index)

`repeated .TypedValue parameter_values = 2;`

#### getDeprecatedFirstFrameMaxSize

    long getDeprecatedFirstFrameMaxSize()

     Deprecated, use the signed int instead.

`uint64 deprecated_first_frame_max_size = 3;`

#### getHasParameterValues

    boolean getHasParameterValues()

`bool has_parameter_values = 4;`

#### getFirstFrameMaxSize

    int getFirstFrameMaxSize()

     The maximum number of rows to return in the first Frame

`int32 first_frame_max_size = 5;`